package typeManage

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type AccountTypeRouter struct {
}

func (a *AccountTypeRouter) InitAccountTypeRouter(Router *gin.RouterGroup) {
	accountTypeRouter := Router.Group("accountType")
	accountTypeApi := v1.ApiGroupApp.TypeApiGroup.AccountTypeApi
	{
		accountTypeRouter.POST("createAccountType",accountTypeApi.CreateAccountType)          // 增加账号类型
		accountTypeRouter.POST("deleteAccountType",accountTypeApi.DeleteAccountType)          // 删除单个账号类型
		accountTypeRouter.DELETE("deleteAccountTypesByIds", accountTypeApi.DeleteAccountTypesByIds)		//批量删除
		accountTypeRouter.POST("updateAccountType",accountTypeApi.UpdateAccountType)          // 更改账号类型
		accountTypeRouter.POST("getAccountTypeById", accountTypeApi.GetAccountTypeById) 		//获取单条账号类型
		accountTypeRouter.POST("getAccountTypeList",accountTypeApi.AccountTypeList)          // 查询所有账号类型
	}
}